## com.imcode.imcms.servlet.superadmin
Class AdminCategories.AdminCategoriesPage

    java.lang.Object
      com.imcode.imcms.servlet.superadmin.AdminCategories.AdminCategoriesPage

Enclosing class:
  AdminCategories

    public static class AdminCategories.AdminCategoriesPage

extends java.lang.Object

Constructor Summary
`AdminCategories.AdminCategoriesPage()`

Method Summary
`CategoryDomainObject` `getCategoryToEdit()`
`CategoryTypeDomainObject` `getCategoryTypeToEdit()`
`java.lang.String[]` `getDocumentsOfOneCategory()`
`java.lang.String` `getMode()`
`int` `getNumberOfCategories()`
`boolean` `getUniqueCategoryName()`
`boolean` `isUniqueCategoryTypeName()`
`void` `setMode(java.lang.String mode)`
`void` `setUniqueCategoryTypeName(boolean uniqueCategoryTypeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdminCategories.AdminCategoriesPage

    public AdminCategories.AdminCategoriesPage()

Method Detail

### isUniqueCategoryTypeName

    public boolean isUniqueCategoryTypeName()

### setUniqueCategoryTypeName

    public void setUniqueCategoryTypeName(boolean uniqueCategoryTypeName)

### getCategoryToEdit

    public CategoryDomainObject getCategoryToEdit()

### getCategoryTypeToEdit

    public CategoryTypeDomainObject getCategoryTypeToEdit()

### getNumberOfCategories

    public int getNumberOfCategories()

### getDocumentsOfOneCategory

    public java.lang.String[] getDocumentsOfOneCategory()

### getUniqueCategoryName

    public boolean getUniqueCategoryName()

### setMode

    public void setMode(java.lang.String mode)

### getMode

    public java.lang.String getMode()